libetonyek::KEYDefaults Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEYDefaults Class Referenceabstract

A representation of default values for various parts of the format. More...

`#include <KEYDefaults.h>`

Inheritance diagram for libetonyek::KEYDefaults:

## Public Member Functions
virtual | ~KEYDefaults ()=0
virtual void | applyPresentationSize (boost::optional< KEYSize > &size) const =0
virtual void | applyGeometry (boost::optional< KEYSize > &naturalSize, boost::optional< KEYPosition > &position) const =0

## Detailed Description

A representation of default values for various parts of the format.

It serves to represent (and use) default values globally, not strewn around over half a dozen source files, probably repeated. There are two types of functions this class offers:

- getX() - get the default value of `X` (e.g., paragraph style)
- applyX(x...) - apply the default values for `X` for attributes passed by `boost::optional`, unless already set (e.g., shape size as `width` and `height`).

## Constructor & Destructor Documentation

libetonyek::KEYDefaults::~KEYDefaults | ( |  | ) |
| pure virtual

## Member Function Documentation

virtual void libetonyek::KEYDefaults::applyGeometry | ( | boost::optional< KEYSize > & | naturalSize,
|  | boost::optional< KEYPosition > & | position
| ) |  | const
| pure virtual

Implemented in libetonyek::KEY1Defaults, and libetonyek::KEY2Defaults.

Referenced by libetonyek::KEYCollectorBase::collectGeometry(), and libetonyek::KEY2StyleParser::readGeometry().

virtual void libetonyek::KEYDefaults::applyPresentationSize | ( | boost::optional< KEYSize > & | size | ) | const
| pure virtual

Implemented in libetonyek::KEY1Defaults, and libetonyek::KEY2Defaults.

Referenced by libetonyek::KEYThemeCollector::collectPresentation().

The documentation for this class was generated from the following files:

- KEYDefaults.h
- KEYDefaults.cpp